io.vertx.rxjava.ext.eventbus.bridge.tcp

## Class BridgeEvent

- java.lang.Object
- - io.vertx.rxjava.core.Promise<Boolean>
  - - io.vertx.rxjava.ext.bridge.BaseBridgeEvent
    - - io.vertx.rxjava.ext.eventbus.bridge.tcp.BridgeEvent

-     public class BridgeEvent
      extends BaseBridgeEvent

  Represents an event that occurs on the event bus bridge.

  Please consult the documentation for a full explanation.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<BridgeEvent>` | `__TYPE_ARG`

    - ### Fields inherited from class io.vertx.rxjava.core.Promise

      `__typeArg_0`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BridgeEvent(BridgeEvent delegate)`
    `BridgeEvent(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `complete(Boolean result)` Set the result.
    `boolean` | `equals(Object o)`
    `Future<Boolean>` | `future()`
    `BridgeEvent` | `getDelegate()`
    `int` | `hashCode()`
    `static BridgeEvent` | `newInstance(BridgeEvent arg)`
    `BridgeEvent` | `setRawMessage(JsonObject message)` Get the raw JSON message for the event.
    `NetSocket` | `socket()` Get the SockJSSocket instance corresponding to the event
    `String` | `toString()`
    `boolean` | `tryComplete(Boolean result)` Like `Promise.complete(T)` but returns `false` when the promise is already completed instead of throwing an `IllegalStateException`, it returns `true` otherwise.

    - ### Methods inherited from class io.vertx.rxjava.ext.bridge.BaseBridgeEvent

      `getRawMessage, newInstance, type`

    - ### Methods inherited from class io.vertx.rxjava.core.Promise

      `complete, fail, fail, newInstance, newInstance, promise, tryComplete, tryFail, tryFail`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<BridgeEvent> __TYPE_ARG

  - ### Constructor Detail

    - #### BridgeEvent

          public BridgeEvent(BridgeEvent delegate)

    - #### BridgeEvent

          public BridgeEvent(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `BaseBridgeEvent`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `BaseBridgeEvent`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `BaseBridgeEvent`

    - #### getDelegate

          public BridgeEvent getDelegate()

      Overrides:
        `getDelegate` in class `BaseBridgeEvent`

    - #### complete

          public void complete(Boolean result)

      Set the result. Any handler will be called, if there is one, and the promise will be marked as completed.

      Any handler set on the associated promise will be called.
      Overrides:
        `complete` in class `BaseBridgeEvent`
      Parameters:
        `result` - the result

    - #### tryComplete

          public boolean tryComplete(Boolean result)

      Like `Promise.complete(T)` but returns `false` when the promise is already completed instead of throwing an `IllegalStateException`, it returns `true` otherwise.
      Overrides:
        `tryComplete` in class `BaseBridgeEvent`
      Parameters:
        `result` - the result
      Returns:
        `false` when the future is already completed

    - #### future

          public Future<Boolean> future()

      Overrides:
        `future` in class `BaseBridgeEvent`
      Returns:
        the associated with this promise, it can be used to be aware of the promise completion

    - #### setRawMessage

          public BridgeEvent setRawMessage(JsonObject message)

      Get the raw JSON message for the event. This will be null for SOCKET_CREATED or SOCKET_CLOSED events as there is no message involved.
      Overrides:
        `setRawMessage` in class `BaseBridgeEvent`
      Parameters:
        `message` - the raw message
      Returns:
        this reference, so it can be used fluently

    - #### socket

          public NetSocket socket()

      Get the SockJSSocket instance corresponding to the event
      Returns:
        the SockJSSocket instance

    - #### newInstance

          public static BridgeEvent newInstance(BridgeEvent arg)

Copyright © 2021 Eclipse. All rights reserved.